Runtime

## org.eclipse.gmf.runtime.emf.type.core
Interface IElementTypeDescriptor

All Known Subinterfaces:
  IMetamodelTypeDescriptor, ISpecializationTypeDescriptor

public interface IElementTypeDescriptor

Descriptor for an element type that has been defined in XML using the `elementTypes` extension point.

Method Summary
`java.net.URL` `getIconURL()` Gets the element type icon URL.
`java.lang.String` `getId()` Gets the element type identifier.
`java.lang.String` `getKindName()` Gets the name of the element factory kind.
`java.lang.String` `getName()` Gets the element type display name.
`java.lang.String` `getParamValue(java.lang.String paramName)` Gets the value for the parameter named `paramName`.

Method Detail

### getId

    public java.lang.String getId()

  Gets the element type identifier.

  Returns:
    the element type identifier.

### getIconURL

    public java.net.URL getIconURL()

  Gets the element type icon URL.

  Returns:
    the element type icon URL

### getName

    public java.lang.String getName()

  Gets the element type display name.

  Returns:
    the element type display name.

### getKindName

    public java.lang.String getKindName()

  Gets the name of the element factory kind. Identifies the factory that should be used to create the new element type.

  Returns:
    the element factory kind name

### getParamValue

    public java.lang.String getParamValue(java.lang.String paramName)

  Gets the value for the parameter named `paramName`.

  Parameters:
    `paramName` - the parameter name
  Returns:
    the parameter value

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.